import processing.serial.*;

boolean toggle = true;
PImage LEDonImage;
PImage LEDoffImage;
Serial myPort;
int portNumber;

void setup() {
  size(500, 500);

  LEDonImage = loadImage("LEDonImage.png");
  LEDonImage.resize(500, 500);
  LEDoffImage = loadImage("LEDoffImage.png");
  LEDoffImage.resize(500, 500);
  
  image(LEDoffImage, 0, 0);

  for (int count = 0; count < Serial.list().length; count++){
    if (Serial.list()[count].length() > 20){
      if (Serial.list()[count].substring(0,21).equals("/dev/cu.LANABT-SPPDev")){
        portNumber = count;
      }
    }
  }

  println(Serial.list());
  println(portNumber);

  String portName = Serial.list()[portNumber];
  myPort = new Serial(this, portName, 9600);

  //myPort.write("0");
  //mainLoop();
}

char water = 0;
char last = 1;


void serialEvent(Serial myPort) {
  water = myPort.readChar();
  if(water == 0){
    image(LEDonImage, 0, 0);
    //println("water on");
  }
  else{
    image(LEDoffImage, 0, 0);
    //println("water off");
  }
  println(water);
} 



void draw() {
  if(water == '0'){
    image(LEDonImage, 0, 0);
    //println("water on");
  }
  else{
    image(LEDoffImage, 0, 0);
    //println("water off");
  }
}
